package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import java.util.stream.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST5_DL_KEY {
    public @Getter @Builder.Default String DL_CONT_NO = StringUtils.repeat(' ',
            13);
    public @Getter @Builder.Default String DL_IITEM = StringUtils
            .repeat(' ', 5);
    public @Getter @Builder.Default String DL_IITEM_GB = StringUtils.repeat(
            ' ', 2);

    public void setDL_CONT_NO(String source) {
        DL_CONT_NO = StringUtils.truncate(StringUtils.rightPad(source, 13), 13);
    }

    public void setDL_IITEM(String source) {
        DL_IITEM = StringUtils.truncate(StringUtils.rightPad(source, 5), 5);
    }

    public void setDL_IITEM_GB(String source) {
        DL_IITEM_GB = StringUtils.truncate(StringUtils.rightPad(source, 2), 2);
    }

    public static COBTEST5_DL_KEY createDefaultValueInstance() {
        return new COBTEST5_DL_KEY.builder().build();
    }

    public void set(String source) {
        DL_CONT_NO = source.substring(0, 13);
        DL_IITEM = source.substring(13, 18);
        DL_IITEM_GB = source.substring(18, 20);
    }

    @Override
    public String toString() {
        return getDL_CONT_NO() + getDL_IITEM() + getDL_IITEM_GB();
    }
}
